Bug 1039384 (CVE-2013-7038) - CVE-2013-7038 libmicrohttpd: out-of-bounds read in MHD_http_unescape()
Summary: CVE-2013-7038 libmicrohttpd: out-of-bounds read in MHD_http_unescape()
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: CVE-2013-7038
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1034363 1039385 1039386 1039387
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-09 01:44 UTC by Murray McAllister
Modified: 2021-02-17 07:06 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-29 13:46:23 UTC


Attachments (Terms of Use)

Description Murray McAllister 2013-12-09 01:44:13 UTC
An out-of-bounds memory read flaw was found in the MHD_http_unescape() function in libmicrohttpd. This could possibly lead to information disclosure or allow a remote attacker to cause an application using libmicrohttpd to crash. This issue has been resolved in version 0.9.32.

References:
https://gnunet.org/svn/libmicrohttpd/ChangeLog
http://secunia.com/advisories/55903/
https://bugs.gentoo.org/show_bug.cgi?id=493450

Acknowledgements:

This issue was discovered by Florian Weimer of the Red Hat Product Security Team.

Comment 2 Murray McAllister 2013-12-09 01:49:29 UTC
Created libmicrohttpd tracking bugs for this issue:

Affects: fedora-all [bug 1039385]
Affects: epel-all [bug 1039386]

Comment 3 Murray McAllister 2013-12-09 02:06:21 UTC
CVE request: http://www.openwall.com/lists/oss-security/2013/12/09/1


Note You need to log in before you can comment on or make changes to this bug.